# there is no debuginfo
%global _enable_debug_packages 0
%global debug_package %{nil}

Name: ooo2gd
Version: 3.0.0
Release: 1%{?dist}
Summary: Extension for OpenOffice.org to export documents to Google Docs

Group: Applications/Productivity
License: LGPLv3+
URL: http://code.google.com/p/ooo2gd/
# svn: http://ooo2gd.googlecode.com/svn/trunk, rev. 174
Source0: %{name}-%{version}.tar.bz2
# generated from netbeans and postprocessed by hand
Source1: nbproject.tar.bz2

BuildRequires: ant, gdata-java, javamail, libreoffice-sdk, swing-layout
Requires: gdata-java, guava, javamail, swing-layout
Requires: libreoffice-core >= 1:3.3.0

%description
OpenOffice.org2GoogleDocs (OOo2GD) is a plugin to
OpenOffice.org/StarOffice (should work also with other Offices derived
from OpenOffice.org) which will let you export and import your
documents, spreadsheets and presentations to and from Google Docs, Zoho.
It will let you also export your files to WebDAV servers and
"synchronize" your documents, spreadsheets and presentations with Google
Docs.

So, you can:
* Export documents, spreadsheets and presentations to Google Docs, Zoho
  and WebDAV
* Import documents, spreadsheets and presentations from Google Docs and
  Zoho
* Synchronize your documents with Google Docs


%global ooosdkenv %{_libdir}/libreoffice/basis-link/sdk/setsdkenv_unix.sh
%global extensiondir %{_libdir}/libreoffice/share/extensions

%prep
%setup -q -n %{name}
%setup -q -n %{name} -T -D -a 1
rm -r libs
. %{ooosdkenv}
(
    echo libreoffice.sdk.classpath=${OO_SDK_URE_JAVA_DIR}/juh.jar:${OO_SDK_URE_JAVA_DIR}/ridl.jar
    echo office.program.dir=${OFFICE_PROGRAM_PATH}
    echo oo.unotypes.rdb=${OO_SDK_URE_HOME}/share/misc/types.rdb
    echo oo.offapi.rdb=${OFFICE_BASE_PROGRAM_PATH}/offapi.rdb
    echo oo.sdk.dir=${OO_SDK_HOME}
    echo sdk.bin.dir=${OO_SDK_HOME}/bin
    echo ure.bin.dir=${OO_SDK_URE_BIN_DIR}
) >> nbproject/project-uno.properties


%build
. %{ooosdkenv}
ant uno-package


%install
mkdir -p %{buildroot}/%{extensiondir}
mkdir %{buildroot}/%{extensiondir}/%{name}
unzip -qo -d %{buildroot}/%{extensiondir}/%{name} dist/%{name}.oxt


%files
%defattr(-,root,root,-)
%{_libdir}/libreoffice/share/extensions/%{name}


%changelog
* Tue Jul 19 2010 David Tardon <dtardon@redhat.com> - 3.0.0-1
- initial import
